javax.swing.text

## Interface Highlighter.HighlightPainter

- All Known Implementing Classes:
    DefaultHighlighter.DefaultHighlightPainter, LayeredHighlighter.LayerPainter
  Enclosing interface:
    Highlighter

      public static interface Highlighter.HighlightPainter

  Highlight renderer.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `paint(Graphics g, int p0, int p1, Shape bounds, JTextComponent c)` Renders the highlight.

- - ### Method Detail

    - #### paint

          void paint(Graphics g,
                   int p0,
                   int p1,
                   Shape bounds,
                   JTextComponent c)

      Renders the highlight.
      Parameters:
        `g` - the graphics context
        `p0` - the starting offset in the model >= 0
        `p1` - the ending offset in the model >= p0
        `bounds` - the bounding box for the highlight
        `c` - the editor

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.